package com.quyunshuo.androidbaseframemvvm.common.work

import android.content.Context
import androidx.work.Worker
import androidx.work.WorkerParameters
import com.quyunshuo.androidbaseframemvvm.common.util.XLogUtil

/**
 * 闹钟 任务 WorkerManager
 */
class AlarmWorker(appContext: Context, workerParams: WorkerParameters): Worker(appContext, workerParams){
    override fun doWork(): Result {
        //inputData 接收传递过来的参数
        XLogUtil.d("闹钟 任务 WorkerManager 开始执行:"+inputData.getString(""))
        return  Result.success()
    }
}